package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.LoginAccount;
import com.sa.ibiz.demo.demo.service.dto.LoginAccountSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[LoginAccount] 服务对象接口
 */
public interface LoginAccountService extends IService<LoginAccount>{

		LoginAccount get(LoginAccount et);
	boolean create(LoginAccount et);
	boolean remove(LoginAccount et);
	boolean update(LoginAccount et);
		LoginAccount getHashMode(LoginAccount et);
		LoginAccount saveHashMode(LoginAccount et);
	boolean checkKey(LoginAccount et);
	boolean getDraft(LoginAccount et);
    List<LoginAccount> listDefault(LoginAccountSearchFilter filter) ;
	Page<LoginAccount> searchDefault(LoginAccountSearchFilter filter);
	/**	 实体[LoginAccount] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }